MANDB(8)

NUME
mandb - creează sau actualizează cache-urile de index de pagină de manual

REZUMAT
mandb [-dqsucpt?V] [-C file] [manpath]
mandb [-dqsut] [-C file] -f filename ...

DESCRIERE
mandb este utilizat pentru a inițializa sau actualiza manual cache-uri de baze de date index. Cache-urile conțin informații relevante la starea curentă a sistemului paginilor de manual și informațiile stocate în ele sunt utilizate de utilitățile man-db pentru a îmbunătăți viteza și funcționalitatea lor. Când se creează sau se actualizează un index, mandb va avertiza de cereri .so ROFF defectuoase, nume false de fișiere de pagini de manual și pagini de manual de la care whatis nu poate fi parsat. Furnizarea lui mandb cu o cale delimitată de două puncte opțională va suprascrie calea de căutare a ierarhiei de pagini de manual de sistem internă, determinată de la informațiile găsite în fișierul de configurare man-db.

CACHE-URI BAZĂ DE DATE
mandb pot fi compilate cu suport pentru oricare dintre următoarele tipuri de baze de date.
Nume | Asincronizare | Nume de fișier
Bază de date Berkeley | Da | index.bt
GNU gdbm | Da | index.db
UNIX ndbm | Nu | index.(dir|pag)
Acele tipuri de baze de date care suportă actualizări asincrone furnizează viteză îmbunătățită cu costul posibilei coruperi în cazul de terminare neobișnuită. Într-un caz neobișnuit unde asta s-a întâmplat, poate că este necesar să se ruleze din nou mandb cu opțiunea -c pentru a recrea bazele de date de la zero.

OPȚIUNI

-d, --debug
    Tipărește informațiile de depanare.

-q, --quiet
    Nu produce avertismente.

-s, --no-straycats
    Nu petreceți timp căutând sau adăugând informații în bazele de date cu privire la pisici fără stăpân.

-p, --no-purge
    Nu petreceți timp verificând pentru pagini de manual șterse și curățarea lor de la bazele de date.

-c, --create
    Implicit, mandb va încerca să actualizeze orice baze de date create anterior. Dacă o bază de date nu există, aceasta o va crea. Această opțiune forțează mandb să șteargă bazele de date anterioare și să le recreeze de la zero, și implică --no-purge. Acest lucru poate fi necesar dacă o bază de date devine coruptă sau dacă o schemă nouă de stocare a bazei de date este introdusă în viitor.

-u, --user-db
    Creează doar bazele de date de utilizator, chiar și cu permisiunile de scriere necesare pentru a crea baze de date de sistem.

-t, --test
    Performează verificările de corectare pe paginile de manual în calea de căutare a ierarhiei. Cu această opțiune, mandb nu va altera baze de date existente.

-f, --filename
    Actualizează doar intrările pentru numele de fișier dat. Această opțiune nu este pentru uz general; este utilizată intern de man când a fost compilată cu opțiunea MAN_DB_UPDATES și găsește că o pagină nu este actualizată. Implică -p și dezactivează -c și -s.

-C file, --config-file=file
    Utilizați acest fișier de configurare de utilizator decât implicitul ~/.manpath.

-?, --help
    Arată mesajul de utilizate, apoi ieși.

--usage
    Tipărește un mesaj de utilizare scurt și ieși.

-V, --version
    Arată versiunea, apoi ieși.

STARE DE IEȘIRE

0   Executare a programului cu succes.

1   Eroare de utilizare, sintaxă, sau fișier de configurare.

2   Eroare operațională.

3   Un proces copil a eșuat.

DIAGNOSTICARE
Următoarele mesaje de avertisment pot fi emise în timpul generării bazei de date.

<filename>: parsarea whatis pentru pagină(sec) a eșuat
    O încercare de a extrage linia(ele) whatis de la <filename> dat a eșuat. Acest lucru este de obicei din caua unei pagini de manual scrisă greșit, dar dacă multe asemenea mesaje sunt emise este posibil ca sistemul să conțină pagini de manual non-standard care nu sunt compatibile cu parsatorul whatis man-db. Consultați secțiunea WHATIS PARSING în lexgrog(1) pentru mai multe informații.

<filename>: este o legătură simbolică care atârnă
    <filename> nu există dar este referit de o legătură simbolică. Mai multe diagnosticări sunt de obicei emise pentru a identifica <filename> al legăturii ofensatoare.

<filename>: legătură simbolică sau cerere „.so” ROFF greșită
    <filename> este ori o legătură simbolică la, sau conține o cerere de includere ROFF la, un fișier care nu există.

<filename>: se ignoră numele de fișier fals
    <filename> poate să fie sau poate să nu fie o pagină de manual validă dar numele acestuia nu este valid. Acest lucru este de obicei din cauza unei pagini de manual cu extensia secțională <x> care a fost plasată în secțiunea paginii de manual <y>.

<filename_mask>: extensii concurente
    Metacaracterul <filename_mask> nu este unic. Acest lucru este de obicei cauzat de existența la amândouă versiunile comprimate și necomprimate a aceleiași pagini de manual. Toate în afară de cea mai recentă sunt ignorate.

FIȘIERE

/etc/man_db.conf
    fișier de configurare man-db.

/var/cache/man/index.(bt|db|dir|pag)
    Un cache de bază de dată index global conform cu FHS.

Locațiile mai vechi pentru cache-ul bazei de date au inclus:

/usr/man/index.(bt|db|dir|pag)
    Un cache de bază de date index global tradițional.

/var/catman/index.(bt|db|dir|pag)
    Un cache de baze de date indexglobal alternativ sau conform cu FSSTND.

VEDEȚI ȘI
lexgrog(1), man(1), manpath(5), catman(8)

Secțiunea WHATIS PARSING care a fost în trecut în această pagină de manual face acum parte din lexgrog(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECȚIUNI
https://savannah.nongnu.org/bugs/?group=man-db